import { initDicts } from "@/utils/init.js";
const modules = require.context("./", true, /columns.js$/);
const columns = [];
modules.keys().forEach((fileName) => {
  const defa = modules(fileName).default;
  for (const key in defa) {
    if (key === "TabColumns") {
      columns.push(...defa[key].map((item) => item.TableColumns).flat());
    } else {
      columns.push(...defa[key]);
    }
  }
});
export const dicts = initDicts(columns);
